Bug 692948 - config compare UI doesn't compare list-o-maps
config compare UI doesn't compare list-o-maps
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0.Beta1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-01 14:57 EDT by John Mazzitelli
Modified: 2013-09-02 03:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new comparision window comparing list-o-maps (73.04 KB, image/png)
2012-01-13 17:23 EST, John Mazzitelli
no flags Details

  None (edit)
Description John Mazzitelli 2011-04-01 14:57:39 EDT
I don't know how easy this would be, but today the config comparison UI dialog doesn't show any comparision between list-o-map properties.

for example, make two changes to a linux platform plugin config - specifically, add, modify and delete event log sources.

now go to the plugin config/connection settings history subtab and compare 2 or more of the configs. you'll get a folder for the "Event" category but nothing underneath - it doesn't compare list of maps.
Comment 1 John Mazzitelli 2012-01-13 17:23:49 EST
Created attachment 555156 [details]
new comparision window comparing list-o-maps

attachment showing what the new comparator window looks like comparing list-o-maps
Comment 2 John Mazzitelli 2012-01-13 17:35:47 EST
git commit to master: b68ebef
Comment 3 Mike Foley 2012-01-31 14:25:33 EST
verified JON 3.01
Comment 4 Heiko W. Rupp 2013-09-02 03:19:04 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.